Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1059348 - kie-config-cli enables to remove deployment unit with active process instances
Summary: kie-config-cli enables to remove deployment unit with active process instances
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: Business Central
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ER1
: 6.0.1
Assignee: Maciej Swiderski
QA Contact: Radovan Synek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-29 17:02 UTC by Radovan Synek
Modified: 2014-08-06 20:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-06 20:01:46 UTC
Type: Bug


Attachments (Terms of Use)

Description Radovan Synek 2014-01-29 17:02:51 UTC
Remove-deployment command enables to remove deployment unit even in case there are active process instances connected with the deployment unit. Both remove-deployment and push-changes operations finish successfully, but after push-changes exception occurs in business-central server log saying that undeployment failed.

I would prefer to fail fast in remove-deployment operation in such a case.

Comment 1 Maciej Swiderski 2014-01-30 18:46:51 UTC
in general issue is that these two operations are executed asynchronously which means that when pushing from kie-config-cli there is a listener that processes deployments and undeployments so in case it fails it has no way to notify the kie-config-cli interface.
An improvement was done that it will ensure deployment is not removed from runtime and is preserved in master of system repo (inside kie-wb/business central) but will not update local copy of kie-config-cli. That is in my opinion balanced solution to avoid unnecessary synchronizations between tools. Actually, best practice is to perform operations and exit the tool to ensure up to date information. pushing in between might cause local copy of system git to be out of date when other actions are performed on live system.

there was single, cumulative commit for recent issues with kie-config-cli as separate commits would make it more difficult due to extensive changes

kie-wb-distributions
master:
https://github.com/droolsjbpm/kie-wb-distributions/commit/b383c49db9f0b4b341fb9bbbe964f2300885602f

6.0.x:
https://github.com/droolsjbpm/kie-wb-distributions/commit/653cbff5720f5138c91eb47c9d6aef7f1ab1a086

jbpm-console-ng
master:
https://github.com/droolsjbpm/jbpm-console-ng/commit/19e861f658735d00addbf0c0bc7c89290e8502e7

6.0.x:
https://github.com/droolsjbpm/jbpm-console-ng/commit/7ca531d050ca001b145c40c9944932f21bb5aab9

Comment 2 Radovan Synek 2014-02-20 10:32:01 UTC
Verified with BPMS-6.0.1.ER1

Comment 3 Radovan Synek 2014-03-18 15:03:34 UTC
qe_test_coverage: UX issue


Note You need to log in before you can comment on or make changes to this bug.